[arch-commits] Commit in libxcursor/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:24:24 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:24:24
  Author: eric
Revision: 35582

upgpkg: libxcursor 1.1.9-2
    Added license

Modified:
  libxcursor/trunk/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 05:21:06 UTC (rev 35581)
+++ PKGBUILD	2009-04-14 05:24:24 UTC (rev 35582)
@@ -3,25 +3,25 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxcursor
 pkgver=1.1.9
-pkgrel=1
+pkgrel=2
 pkgdesc="X cursor management library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfixes' 'libxrender')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXcursor-${pkgver}.tar.bz2)
-license=('custom')
 md5sums=('99b7554037a92b260891091e81815a0a')
 
 build() {
-  cd ${startdir}/src/libXcursor-${pkgver}
+  cd ${srcdir}/libXcursor-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   # install custom license
   install -Dm644 $srcdir/libXcursor-$pkgver/COPYING \
-	$pkgver/usr/share/licenses/$pkgname/COPYING || return 1
+	$pkgdir/usr/share/licenses/$pkgname/COPYING || return 1
 }



More information about the arch-commits mailing list